# tracing::subscriber - Rust
API documentation for the Rust `subscriber` mod in crate `tracing`.
Keywords: rust, rustlang, rust-lang, subscriber

# Module tracing::subscriber [−] [src]

Collects and records trace data.

## Structs

DefaultGuard | A guard that resets the current default dispatcher to the prior default dispatcher when dropped.
Interest | Indicates a `Subscriber`'s interest in a particular callsite.
SetGlobalDefaultError | Returned if setting the global dispatcher fails.

## Traits

Subscriber | Trait representing the functions required to collect trace data.

## Functions

set_default | Sets the subscriber as the default for the duration of the lifetime of the returned `DefaultGuard`
set_global_default | Sets this subscriber as the global default for the duration of the entire program. Will be used as a fallback if no thread-local subscriber has been set in a thread (using `with_default`.)
with_default | Sets this subscriber as the default for the duration of a closure.